Summary: A graphical front-end to RPM for GNOME.
Name: gnorpm
Version: 0.95.1
Release: 3
Copyright: GPL
Group: Applications/System
Source: ftp://ftp.linux.org.uk/pub/linux/alan/GNORPM/%{name}-%{version}.tar.gz
Source1: gnorpm.pamd
Source2: gnorpm.apps
Patch0: gnorpm-0.9-uid.patch
Patch1: gnorpm-0.95-newkeys.patch
Patch2: gnorpm-0.95-dentry.patch
Patch3: gnorpm-0.95.1-instsrpm.patch
Patch4: gnorpm-0.9-rpm40-crash.patch
Patch5: gnorpm-divzero.patch
Obsoletes: glint
Requires: usermode >= 1.13, rpm >= 3.0.5, /etc/pam.d/system-auth
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# XXX Please add version requirements to the build prereqs if you know them ...
BuildPrereq: rpm-devel >= 3.0.5
BuildPrereq: popt >= 1.5
BuildPrereq: zlib-devel >= 1.0.4
BuildPrereq: bzip2 >= 0.9.5
BuildPrereq: libxml-devel
BuildPrereq: gtk+-devel
BuildPrereq: gnome-libs-devel
BuildPrereq: glib-devel
BuildPrereq: libghttp-devel
BuildPrereq: imlib-devel
BuildPrereq: esound-devel
BuildPrereq: audiofile-devel
BuildPrereq: XFree86-libs
BuildPrereq: w3c-libwww-devel

%description
Gnome-RPM is a graphical front-end to to the RPM Package Manager
(RPM). Gnome-RPM is similar to Glint, but is written using the GTK+
widget set and the GNOME libraries.  Gnome-RPM is currently in
development, so some features are missing, but you can currently
query, install, upgrade, uninstall and verify packages using a GUI
interface.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p 1 -b .uid
%patch1 -p 1 -b .newkeys
%patch2 -p 1 -b .dentry
%patch3 -p 1 -b .instsrpm
%patch4 -p 1 -b .rpm-crash
%patch5 -p 1

%build
autoconf
%configure
make

%install
rm -rf %{buildroot}
%{makeinstall}

strip %{buildroot}%{_bindir}/gnorpm
ln -sf consolehelper %{buildroot}%{_bindir}/gnorpm-auth
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,security/console.apps}
install -m 644 $RPM_SOURCE_DIR/gnorpm.pamd %{buildroot}%{_sysconfdir}/pam.d/gnorpm-auth
install -m 644 $RPM_SOURCE_DIR/gnorpm.apps %{buildroot}%{_sysconfdir}/security/console.apps/gnorpm-auth

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/gnome/apps/*
%{_datadir}/gnome/help/gnorpm/C/*
%{_datadir}/locale/*/LC_MESSAGES/gnorpm.mo
%config %{_datadir}/gnorpmrc
%config %{_datadir}/gnorpmrc.*
%config %{_datadir}/mime-info/gnorpm.keys
%config %{_sysconfdir}/pam.d/gnorpm-auth
%config %{_sysconfdir}/security/console.apps/gnorpm-auth
#%{_datadir}/pixmaps/defpackage.gif

%changelog
* Tue Oct 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add fix for division by zero problem

* Mon Oct  2 2000 Bill Nottingham <notting@redhat.com>
- update to 0.95.1

* Mon Sep 18 2000 Preston Brown <pbrown@redhat.com>
- use configured paths in files section

* Fri Sep 15 2000 Preston Brown <pbrown@redhat.com>
- merged changes from alan 0.95 release.

* Thu Aug 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- incorporate Alan's fixes for various bugs with a few changes

* Wed Aug 23 2000 Than Ngo <than@redhat.com>
- buildrequires: bzip2-devel and db3-devel (Bug #16527)

* Fri Aug 18 2000 Preston Brown <pbrown@redhat.com>
- merge stuff from twaugh and alan.

* Thu Aug 14 2000 Tim Waugh <twaugh@redhat.com>
- permit srpm's to be installed (#15196).

* Sun Aug 06 2000 Alan Cox <alan@redhat.com>
- actually sat down and fixed the worst of the network stuff. Barfbucket
  grade stuff.
- moved the random messages it likes to spew onto the status bar, since
  I thought it might be a cool innovation for the user to like um see them
- made the XML downloads atomic and sane. Still wants fixing for XML errors

* Thu Aug  3 2000 Tim Waugh <twaugh@redhat.com>
- fix-up for rpm40 changes (bug 11666)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- coagulate rpm310/rpm40 patch into one.
- better autoconf tests.

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth
- use the new makeinstall macro to fix buildrooting

* Mon May 22 2000 Matt Wilson <msw@redhat.com>
- patch out broken inet_aton function in ftp.c, breaks on alpha

* Thu May 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- compile with new libraries 
- add version to buildroot

* Sat May 13 2000 Jeff Johnson <jbj@redhat.com>
- use rpm-3.1 API (wotta mess).
- add dependencies to suggest useful rpm version.

* Mon Mar 06 2000 Owen Taylor <otaylor@redhat.com>
- Fix bug causing install dialog to crash when no packages available

* Fri Feb 04 2000 Jonathan Blandford <jrb@redhat.com>
- Make gnorpm-auth -Uvh be the default action for dbl-click

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 21 2000 Jeff Johnson <jbj@redhat.com>
- use gnorpm-auth in desktop config.

* Wed Dec 15 1999 Jeff Johnson <jbj@redhat.com>
- Patch for rpm-3.0.4 compatibility (preliminary).
- Patch to fix missing return seg-fault (Owen Taylor).

* Thu Sep 30 1999 Jonathan Blandford <jrb@redhat.com>
- Add gnorpm-auth to the .keys file for gmc.

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- recompile with rpm-3.0.3-1.

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- added requirement for latest usermode

* Mon Sep 20 1999 Owen Taylor <otaylor@redhat.com>
- Added extra cdrom directories for powertools to directory list

* Thu Sep 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added uid patch so that it works right when run via consolehelper

* Wed Sep 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- gnorpm-auth consolehelper setup
- add -lbz2 to LDFLAGS.

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 0.9

* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- fixed upgrade brokenness

* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- added missing gnorpm.keys file to file list

* Mon Apr 12 1999 Matt Wilson <msw@redhat.com>
- updated to 0.8

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- patched to work with rpm-3.0
- GnoRPM obsoletes glint.
